Bug 74865 - gpilotd-control-applet doesn't error on o-rw on /dev/ttyS*
gpilotd-control-applet doesn't error on o-rw on /dev/ttyS*
Product: Red Hat Linux
Classification: Retired
Component: gnome-pilot (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2002-10-02 08:48 EDT by Josiah Royse
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-02 10:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josiah Royse 2002-10-02 08:48:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When configuring a palm pilot through the serial port, if the
gpilotd-control-applet is run from an icon, or launched from evolution, there is
nothing to let a user know that the program cannot read-write to the device
/dev/ttyS0 or /dev/ttyS1

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. After an install the permissions on /dev/ttyS0 are crw-rw----
2. launch gpilotd-control-applet from an icon
3. No notice from the GUI lets a user know that the program cannot access device
4. A user is unable to configure the device until they change permissions

Actual Results:  No notice from the GUI lets a user know that the program cannot
access device /dev/ttyS0

Expected Results:  A pop-up or error box letting the user know that /dev/ttyS0
exists, but the permisssions prevent configuring the device.

Additional info:

chmod o+rw /dev/ttyS0
Comment 1 Josiah Royse 2002-10-02 08:50:25 EDT
The error on the command line for incorect permissions is this:

gpilotd-WARNING **: Could not open device Cradle (/dev/ttyS0): reason:
"Permission denied".
Comment 2 Need Real Name 2002-10-02 10:21:56 EDT
You problem is that you need to add entries for /dev/ttyS[01] to
/etc/security/console.perms, that will give you Access to the serial port that
you need.

But as an addition to this bug, my install did not create a /dev/pilot, which is
in console.perms.  No big deal, I created it to point to ttyS0 but the problem I
had is that I didn't have permission on /dev/pilot untill I logged out and
logged in again, It's confusing and I'm sure it will confuse a lot of others.
Comment 3 Jeremy Katz 2002-10-07 11:47:52 EDT
This will need to be fixed upstream rather than as a Red Hat specific change. 
Please file a bug requesting this in bugzilla.gnome.org
Comment 4 Need Real Name 2002-10-18 13:28:08 EDT

This isn't something that needs to be added to the dev rpm?
Comment 5 Josiah Royse 2002-10-19 22:50:06 EDT
Opened on gnome bugzilla:

Note You need to log in before you can comment on or make changes to this bug.